package plegatfem2d.objects;

/**
 * Interface de définition des objets de type "courbe"
 * @author Jean-Michel BORLOT
 */
public interface IPFEM2DCurve {
   
    /**
     * Renvoie le point de départ de la courbe
     * @return le point de départ de la courbe
     */
    public PFEM2DPoint getStartPoint();

    /**
     * Renvoie le point d'arrivée de la courbe
     * @return le point d'arrivée de la courbe
     */
    public PFEM2DPoint getEndPoint();    
}
